Search documentation of grizzly

# View Source Grizzly.ZWave.Commands.ZIPPacket.HeaderExtensions.EncapsulationFormatInfo (grizzly v7.4.2)

Encapsulation format info for a Z/IP Packet

# Summary

## Types

security()
t()

## Functions

new(security, crc16)

Make a new EncapsulationFormatInfo struct

security_to_security_from_byte(int)
security_to_security_to_byte(atom)
to_binary(encapformat)

Make an `EncapsulationFormatInfo` into a binary

# Types

Link to this type

# security()

View Source

    @type security() ::
      :non_secure
      | :s2_unauthenticated
      | :s2_authenticated
      | :s2_access_control
      | :s0

Link to this type

# t()

View Source

    @type t() ::
      %Grizzly.ZWave.Commands.ZIPPacket.HeaderExtensions.EncapsulationFormatInfo{
        crc16: boolean(),
        security_classes: [security()]
      }

# Functions

Link to this function

# new(security, crc16)

View Source

    @spec new(security(), crc16 :: boolean()) :: t()

Make a new EncapsulationFormatInfo struct

Link to this function

# security_to_security_from_byte(int)

View Source
Link to this function

# security_to_security_to_byte(atom)

View Source
Link to this function

# to_binary(encapformat)

View Source

    @spec to_binary(t()) :: binary()

Make an `EncapsulationFormatInfo` into a binary